> For the complete documentation index, see [llms.txt](https://docs.walecloud.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.walecloud.com/api-documentation/events/node-notification.md).

# Node Notification

The `NodeNotificationEvent` is used for self-monitoring of the Hetzner servers (nodes) in the Cloud.

### Methods

1. **`getNodeId()`** Returns the ID of the node.
2. **`getState()`** Returns the state of the node.

{% code title="# Available node states" %}

```java
REQUESTED, CONNECTED, DISCONNECTED
```

{% endcode %}

### Code example

```java
@Eventable
public void handle(NodeNotificationEvent event) {
    String nodeId = event.getNodeId().substring(0, 5);

    switch (event.getState()) {
        case CONNECTED -> broadcast("Node %s has been connected".formatted(nodeId));
        case DISCONNECTED -> broadcast("Node %s has been disconnected".formatted(nodeId));
        case REQUESTED -> broadcast("A new node server (%s) has been requested".formatted(event.getNodeId()));
    }
}
```

{% hint style="info" %}
When the status is **REQUESTED**, the Node ID is the ID of the Hetzner server, for example, *cpx31*
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.walecloud.com/api-documentation/events/node-notification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
